### Method

# Gtk Text set_buffer

#### Declaration [src]

    void
    gtk_text_set_buffer (
      GtkText* self,
      GtkEntryBuffer* buffer
    )

#### Description [src]

Set the `GtkEntryBuffer` object which holds the text for this widget.

Sets property | `Gtk.Text:buffer`

#### Parameters

`buffer`

  Type: `GtkEntryBuffer`

  A `GtkEntryBuffer`.

  The data is owned by the caller of the method.